Install TensorFlow

TensorFlow is built and tested on the following 64-bit operating systems:

  • macOS 10.12.6 (Sierra) or later.
  • Ubuntu 16.04 or later
  • Windows 7 or later.
  • Raspbian 9.0 or later.

While TensorFlow may work on other systems, we only support—and fix issues in—the systems listed above.

The following guides explain how to install a version of TensorFlow that enables you to write applications in Python:

Many aspects of the Python TensorFlow API changed from version 0.n to 1.0. The following guide explains how to migrate older TensorFlow applications to Version 1.0:

The following guides explain how to install TensorFlow libraries for use in other programming languages. These APIs are aimed at deploying TensorFlow models in applications and are not as extensive as the Python APIs.